<?php

namespace App\Controllers;


use  App\Modules\Breadcrumbs\Breadcrumbs;

use CodeIgniter\Exceptions\PageNotFoundException;
use CodeIgniter\Database\Exceptions\DatabaseException;


class BCRBreadCrumb extends BaseController
{

    private BreadCrumbs $breadcrumb;

    public function __construct()
    {
        $this->breadcrumb = new Breadcrumbs;
    }
    
    public function BuildBreadcrumb(): string
    {
        if(!isset($this->breadcrumb)){
            $this->breadcrumb = new Breadcrumbs;
        }
        return $this->breadcrumb->buildAuto();
    }
 
}
